<script lang="ts">
import { PropType } from '@vue/runtime-core';
import Article from '../dtos/Article.dto';
export default {
  name: 'CommentComponent',
  data() {
    return {};
  },
  props: {
    comment: {
      type: Object as PropType<Comment>,
      required: true,
    },
  },
  methods: {
    created() {},
  },
};
</script>

<template>
  <div style="display: flex; justify-content: space-between">
    <b style="font-weight: bold">{{ this.comment.pseudo }}</b>
    <span style="display: inline-block; align-self: flex-end">
      le {{ new Date(this.comment.createdAt).toLocaleString() }}</span
    >
  </div>
  <p>{{ this.comment.content }}</p>
</template>
